Index: trunk/examples/extended/electromagnetic/TestEm3/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/DetectorConstruction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/DetectorConstruction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.13 2006/06/29 16:51:06 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/DetectorMessenger.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/DetectorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.8 2006/06/29 16:51:08 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/EmAcceptance.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/EmAcceptance.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/EmAcceptance.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EmAcceptance.hh,v 1.4 2006/06/29 16:51:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/EventAction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/EventAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.10 2006/06/29 16:51:14 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/EventActionMessenger.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/EventActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.3 2006/06/29 16:51:17 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/HistoManager.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/HistoManager.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/HistoManager.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.hh,v 1.8 2007/11/12 17:04:55 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/HistoMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/HistoMessenger.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/HistoMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.hh,v 1.5 2007/11/12 17:04:55 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/PhysListEmStandard.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/PhysListEmStandard.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/PhysListEmStandard.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysListEmStandard.hh,v 1.4 2006/06/29 16:51:42 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/PhysicsList.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/PhysicsList.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.hh,v 1.6 2006/06/29 16:51:58 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsList.hh,v 1.8 2009/11/13 17:01:44 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -44,7 +44,7 @@
 class PhysicsList: public G4VModularPhysicsList
 {
-  public:
+public:
     PhysicsList();
-   ~PhysicsList();
+    virtual ~PhysicsList();
 
     void ConstructParticle();
Index: trunk/examples/extended/electromagnetic/TestEm3/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/PhysicsListMessenger.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/PhysicsListMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.3 2006/06/29 16:52:00 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/PrimaryGeneratorAction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.4 2006/06/29 16:52:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/PrimaryGeneratorMessenger.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/PrimaryGeneratorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.hh,v 1.3 2006/06/29 16:52:05 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/RunAction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/RunAction.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: RunAction.hh,v 1.18 2007/04/22 16:25:21 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: RunAction.hh,v 1.19 2008/05/29 16:59:27 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -56,5 +56,5 @@
 
   RunAction(DetectorConstruction*, PrimaryGeneratorAction*, HistoManager*);
-  virtual ~RunAction();
+  ~RunAction();
 
   void BeginOfRunAction(const G4Run*);
@@ -64,7 +64,7 @@
     
   void sumEnergyFlow(G4int plane, G4double Eflow)
-                                                 {EnergyFlow[plane]  += Eflow;};
+                                            {EnergyFlow[plane]  += Eflow;};
   void sumLateralEleak(G4int cell, G4double Eflow)
-                                                 {lateralEleak[cell] += Eflow;};
+                                            {lateralEleak[cell] += Eflow;};
     
   void PrintDedxTables();
Index: trunk/examples/extended/electromagnetic/TestEm3/include/RunActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/RunActionMessenger.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/RunActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunActionMessenger.hh,v 1.10 2007/04/22 16:25:21 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/StepMax.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/StepMax.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/StepMax.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.hh,v 1.7 2006/06/29 16:52:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/StepMaxMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/StepMaxMessenger.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/StepMaxMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.hh,v 1.2 2006/06/29 16:52:13 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm3/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/SteppingAction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/SteppingAction.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: SteppingAction.hh,v 1.8 2006/06/29 16:52:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: SteppingAction.hh,v 1.9 2008/03/14 15:40:03 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -52,5 +52,5 @@
     void UserSteppingAction(const G4Step*);
     
-    G4double BirkAttenuation(const G4Step*);
+    G4double BirksAttenuation(const G4Step*);
     
   private:
Index: trunk/examples/extended/electromagnetic/TestEm3/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/SteppingVerbose.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/SteppingVerbose.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.5 2006/06/29 16:52:18 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager. 
Index: trunk/examples/extended/electromagnetic/TestEm3/include/TrackingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm3/include/TrackingAction.hh	(revision 812)
+++ trunk/examples/extended/electromagnetic/TestEm3/include/TrackingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.hh,v 1.2 2006/06/29 16:52:20 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
